OpenVDB: openvdb::v5_2::tools::point_index_grid_internal Namespace Reference

OpenVDB 5.2.0

Classes | Functions
openvdb::v5_2::tools::point_index_grid_internal Namespace Reference

## Classes
struct | BBoxFilter
struct | PopulateLeafNodesOp
struct | RadialRangeFilter
struct | ValidPartitioningOp

## Functions
template<typename TreeType , typename PointArray >
void | constructPointTree (TreeType &tree, const math::Transform &xform, const PointArray &points)
| Construct a `PointIndexTree`. More...
template<typename T >
void | dequeToArray (const std::deque< T > &d, std::unique_ptr< T[]> &a, size_t &size)
void | constructExclusiveRegions (std::vector< CoordBBox > &regions, const CoordBBox &bbox, const CoordBBox &ibox)
template<typename RangeFilterType , typename LeafNodeType >
void | filteredPointIndexSearchVoxels (RangeFilterType &filter, const LeafNodeType &leaf, const Coord &min, const Coord &max)
template<typename RangeFilterType , typename ConstAccessor >
void | filteredPointIndexSearch (RangeFilterType &filter, ConstAccessor &acc, const CoordBBox &bbox)
template<typename RangeDeque , typename LeafNodeType >
void | pointIndexSearchVoxels (RangeDeque &rangeList, const LeafNodeType &leaf, const Coord &min, const Coord &max)
template<typename RangeDeque , typename ConstAccessor >
void | pointIndexSearch (RangeDeque &rangeList, ConstAccessor &acc, const CoordBBox &bbox)

## Function Documentation

## ◆ constructExclusiveRegions()

void openvdb::v5_2::tools::point_index_grid_internal::constructExclusiveRegions | ( | std::vector< CoordBBox > & | regions,
|  | const CoordBBox & | bbox,
|  | const CoordBBox & | ibox
| ) |  |
| inline

## ◆ constructPointTree()

void openvdb::v5_2::tools::point_index_grid_internal::constructPointTree | ( | TreeType & | tree,
|  | const math::Transform & | xform,
|  | const PointArray & | points
| ) |  |
| inline

Construct a `PointIndexTree`.

## ◆ dequeToArray()

void openvdb::v5_2::tools::point_index_grid_internal::dequeToArray | ( | const std::deque< T > & | d,
|  | std::unique_ptr< T[]> & | a,
|  | size_t & | size
| ) |  |
| inline

## ◆ filteredPointIndexSearch()

void openvdb::v5_2::tools::point_index_grid_internal::filteredPointIndexSearch | ( | RangeFilterType & | filter,
|  | ConstAccessor & | acc,
|  | const CoordBBox & | bbox
| ) |  |
| inline

## ◆ filteredPointIndexSearchVoxels()

void openvdb::v5_2::tools::point_index_grid_internal::filteredPointIndexSearchVoxels | ( | RangeFilterType & | filter,
|  | const LeafNodeType & | leaf,
|  | const Coord & | min,
|  | const Coord & | max
| ) |  |
| inline

## ◆ pointIndexSearch()

void openvdb::v5_2::tools::point_index_grid_internal::pointIndexSearch | ( | RangeDeque & | rangeList,
|  | ConstAccessor & | acc,
|  | const CoordBBox & | bbox
| ) |  |
| inline

## ◆ pointIndexSearchVoxels()

void openvdb::v5_2::tools::point_index_grid_internal::pointIndexSearchVoxels | ( | RangeDeque & | rangeList,
|  | const LeafNodeType & | leaf,
|  | const Coord & | min,
|  | const Coord & | max
| ) |  |
| inline